public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] proj/dotnet:master commit in: dev-dotnet/system-web/
@ 2016-09-07  6:13 Mikhail Pukhlikov
  0 siblings, 0 replies; 5+ messages in thread
From: Mikhail Pukhlikov @ 2016-09-07  6:13 UTC (permalink / raw
  To: gentoo-commits

commit:     87dcecebadd06fe762624e4d495a4008b82be191
Author:     ArsenShnurkov <Arsen.Shnurkov <AT> gmail <DOT> com>
AuthorDate: Wed Sep  7 05:40:35 2016 +0000
Commit:     Mikhail Pukhlikov <cynede <AT> gentoo <DOT> org>
CommitDate: Wed Sep  7 05:40:35 2016 +0000
URL:        https://gitweb.gentoo.org/proj/dotnet.git/commit/?id=87dceceb

.pc file added

 dev-dotnet/system-web/metadata.xml                |  4 +--
 dev-dotnet/system-web/system-web-4.6.0.150.ebuild | 39 +++++++++++++++++++++--
 2 files changed, 38 insertions(+), 5 deletions(-)

diff --git a/dev-dotnet/system-web/metadata.xml b/dev-dotnet/system-web/metadata.xml
index 5875c6f..e5ffcdc 100644
--- a/dev-dotnet/system-web/metadata.xml
+++ b/dev-dotnet/system-web/metadata.xml
@@ -12,9 +12,9 @@
 	<use>
 	</use>
 	<longdescription lang="en">
-		This package contains the Microsoft.Web.Infrastructure assembly that lets you dynamically register HTTP modules at run time.
+		Framework for creating web-applications
 	</longdescription>
 	<longdescription lang="ru">
-		Сборка Microsoft.Web.Infrastructure.dll позволяет регистрировать модули HTTP динамически во время выполнения.
+		Фреймворк для создания Web-приложений
 	</longdescription>
 </pkgmetadata>

diff --git a/dev-dotnet/system-web/system-web-4.6.0.150.ebuild b/dev-dotnet/system-web/system-web-4.6.0.150.ebuild
index 152f290..b871f70 100644
--- a/dev-dotnet/system-web/system-web-4.6.0.150.ebuild
+++ b/dev-dotnet/system-web/system-web-4.6.0.150.ebuild
@@ -6,9 +6,9 @@ EAPI=6
 
 USE_DOTNET="net45"
 inherit gac dotnet
-IUSE+=" +net45 debug"
+IUSE+=" +net45 +pkg-config debug"
 
-DESCRIPTION="assembly that lets you dynamically register HTTP modules at run time"
+DESCRIPTION="Framework for developing web-applications"
 HOMEPAGE="https://www.asp.net/"
 SRC_URI="http://download.mono-project.com/sources/mono/mono-4.6.0.150.tar.bz2"
 
@@ -50,6 +50,7 @@ KEYFILE2=${S}/mcs/class/mono.snk
 
 src_compile()
 {
+	# System.Web.dll
 	exbuild /p:SignAssembly=true /p:AssemblyOriginatorKeyFile=${KEYFILE1} /p:DelaySign=true "${S}/mcs/class/${NAME}/${CSPROJ}"
 	if use debug; then
 		DIR="Debug"
@@ -57,6 +58,8 @@ src_compile()
 		DIR="Release"
 	fi
 	sn -R "${S}/mcs/class/${NAME}/obj/${DIR}/${NAME}.dll" ${KEYFILE2} || die
+
+	# Policy file
 	al "/link:${S}/policy.4.0.System.Web.config" "/out:${S}/policy.4.0.System.Web.dll" "/keyfile:${KEYFILE1}" /delaysign+ || die
 	sn -R "${S}/policy.4.0.System.Web.dll" ${KEYFILE2} || die
 }
@@ -68,7 +71,37 @@ src_install()
 	else
 		DIR="Release"
 	fi
-	# installation to GAC will cause file collision with mono package
 	egacinstall "${S}/mcs/class/${NAME}/obj/${DIR}/${NAME}.dll"
 	egacinstall "${S}/policy.4.0.System.Web.dll"
+	install_pc_file "${PN}" "${NAME}.dll"
+}
+
+# The file format contains predefined metadata keywords and freeform variables (like ${prefix} and ${exec_prefix})
+# $1 = ${PN}
+# $2 = myassembly.dll
+install_pc_file()
+{
+	if use pkg-config; then
+		dodir /usr/$(get_libdir)/pkgconfig
+		ebegin "Installing ${PC_FILE_NAME}.pc file"
+		sed \
+			-e "s:@LIBDIR@:$(get_libdir):" \
+			-e "s:@PACKAGENAME@:$1:" \
+			-e "s:@DESCRIPTION@:${DESCRIPTION}:" \
+			-e "s:@VERSION@:${PV}:" \
+			-e 's*@LIBS@*-r:${libdir}'"/mono/$1/$2"'*' \
+			<<-EOF >"${D}/usr/$(get_libdir)/pkgconfig/$1.pc" || die
+				prefix=${pcfiledir}/../..
+				exec_prefix=${prefix}
+				libdir=${exec_prefix}/@LIBDIR@
+				Name: @PACKAGENAME@
+				Description: @DESCRIPTION@
+				Version: @VERSION@
+				Libs: @LIBS@
+			EOF
+
+		einfo PKG_CONFIG_PATH="${D}/usr/$(get_libdir)/pkgconfig/" pkg-config --exists "$1"
+		PKG_CONFIG_PATH="${D}/usr/$(get_libdir)/pkgconfig/" pkg-config --exists "$1" || die ".pc file failed to validate."
+		eend $?
+	fi
 }


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] proj/dotnet:master commit in: dev-dotnet/system-web/
@ 2016-09-07  6:13 Mikhail Pukhlikov
  0 siblings, 0 replies; 5+ messages in thread
From: Mikhail Pukhlikov @ 2016-09-07  6:13 UTC (permalink / raw
  To: gentoo-commits

commit:     3c5ffe725202014b8c9b40bb0d5064caabeb77a3
Author:     ArsenShnurkov <Arsen.Shnurkov <AT> gmail <DOT> com>
AuthorDate: Wed Sep  7 05:45:39 2016 +0000
Commit:     Mikhail Pukhlikov <cynede <AT> gentoo <DOT> org>
CommitDate: Wed Sep  7 05:45:39 2016 +0000
URL:        https://gitweb.gentoo.org/proj/dotnet.git/commit/?id=3c5ffe72

repoman fix

 dev-dotnet/system-web/metadata.xml | 1 +
 1 file changed, 1 insertion(+)

diff --git a/dev-dotnet/system-web/metadata.xml b/dev-dotnet/system-web/metadata.xml
index e5ffcdc..1e45ec6 100644
--- a/dev-dotnet/system-web/metadata.xml
+++ b/dev-dotnet/system-web/metadata.xml
@@ -10,6 +10,7 @@
 		<remote-id type="github">mono/mono</remote-id>
 	</upstream>
 	<use>
+		<flag name='pkg-config'>create .pc file(s) for .dll(s) installed to gac</flag>
 	</use>
 	<longdescription lang="en">
 		Framework for creating web-applications


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] proj/dotnet:master commit in: dev-dotnet/system-web/
@ 2016-09-19 13:16 Mikhail Pukhlikov
  0 siblings, 0 replies; 5+ messages in thread
From: Mikhail Pukhlikov @ 2016-09-19 13:16 UTC (permalink / raw
  To: gentoo-commits

commit:     cdbd82e304500806015389bc57c18b828dc73e11
Author:     ArsenShnurkov <Arsen.Shnurkov <AT> gmail <DOT> com>
AuthorDate: Wed Sep  7 06:20:18 2016 +0000
Commit:     Mikhail Pukhlikov <cynede <AT> gentoo <DOT> org>
CommitDate: Fri Sep  9 12:49:22 2016 +0000
URL:        https://gitweb.gentoo.org/proj/dotnet.git/commit/?id=cdbd82e3

escaping for variables added

 dev-dotnet/system-web/system-web-4.6.0.150.ebuild | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/dev-dotnet/system-web/system-web-4.6.0.150.ebuild b/dev-dotnet/system-web/system-web-4.6.0.150.ebuild
index b871f70..22b3206 100644
--- a/dev-dotnet/system-web/system-web-4.6.0.150.ebuild
+++ b/dev-dotnet/system-web/system-web-4.6.0.150.ebuild
@@ -90,10 +90,10 @@ install_pc_file()
 			-e "s:@DESCRIPTION@:${DESCRIPTION}:" \
 			-e "s:@VERSION@:${PV}:" \
 			-e 's*@LIBS@*-r:${libdir}'"/mono/$1/$2"'*' \
-			<<-EOF >"${D}/usr/$(get_libdir)/pkgconfig/$1.pc" || die
-				prefix=${pcfiledir}/../..
-				exec_prefix=${prefix}
-				libdir=${exec_prefix}/@LIBDIR@
+			<<\-EOF >"${D}/usr/$(get_libdir)/pkgconfig/$1.pc" || die
+				prefix=\${pcfiledir}/../..
+				exec_prefix=\${prefix}
+				libdir=\${exec_prefix}/@LIBDIR@
 				Name: @PACKAGENAME@
 				Description: @DESCRIPTION@
 				Version: @VERSION@


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] proj/dotnet:master commit in: dev-dotnet/system-web/
@ 2016-09-19 13:16 Mikhail Pukhlikov
  0 siblings, 0 replies; 5+ messages in thread
From: Mikhail Pukhlikov @ 2016-09-19 13:16 UTC (permalink / raw
  To: gentoo-commits

commit:     dcc477b16bd86e73f855089e19f8edaa7208b5e2
Author:     ArsenShnurkov <Arsen.Shnurkov <AT> gmail <DOT> com>
AuthorDate: Wed Sep  7 06:27:34 2016 +0000
Commit:     Mikhail Pukhlikov <cynede <AT> gentoo <DOT> org>
CommitDate: Fri Sep  9 12:49:22 2016 +0000
URL:        https://gitweb.gentoo.org/proj/dotnet.git/commit/?id=dcc477b1

remove extra slash

 dev-dotnet/system-web/system-web-4.6.0.150.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-dotnet/system-web/system-web-4.6.0.150.ebuild b/dev-dotnet/system-web/system-web-4.6.0.150.ebuild
index 22b3206..37b41fd 100644
--- a/dev-dotnet/system-web/system-web-4.6.0.150.ebuild
+++ b/dev-dotnet/system-web/system-web-4.6.0.150.ebuild
@@ -90,7 +90,7 @@ install_pc_file()
 			-e "s:@DESCRIPTION@:${DESCRIPTION}:" \
 			-e "s:@VERSION@:${PV}:" \
 			-e 's*@LIBS@*-r:${libdir}'"/mono/$1/$2"'*' \
-			<<\-EOF >"${D}/usr/$(get_libdir)/pkgconfig/$1.pc" || die
+			<<-EOF >"${D}/usr/$(get_libdir)/pkgconfig/$1.pc" || die
 				prefix=\${pcfiledir}/../..
 				exec_prefix=\${prefix}
 				libdir=\${exec_prefix}/@LIBDIR@


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] proj/dotnet:master commit in: dev-dotnet/system-web/
@ 2016-09-19 13:16 Mikhail Pukhlikov
  0 siblings, 0 replies; 5+ messages in thread
From: Mikhail Pukhlikov @ 2016-09-19 13:16 UTC (permalink / raw
  To: gentoo-commits

commit:     c69f549ab7d84acbbd31a5dc75010baa5fe40939
Author:     ArsenShnurkov <Arsen.Shnurkov <AT> gmail <DOT> com>
AuthorDate: Fri Sep  9 15:11:23 2016 +0000
Commit:     Mikhail Pukhlikov <cynede <AT> gentoo <DOT> org>
CommitDate: Fri Sep  9 15:11:23 2016 +0000
URL:        https://gitweb.gentoo.org/proj/dotnet.git/commit/?id=c69f549a

->182

 dev-dotnet/system-web/system-web-4.6.0.182.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-dotnet/system-web/system-web-4.6.0.182.ebuild b/dev-dotnet/system-web/system-web-4.6.0.182.ebuild
index 73ddd74..971b97a 100644
--- a/dev-dotnet/system-web/system-web-4.6.0.182.ebuild
+++ b/dev-dotnet/system-web/system-web-4.6.0.182.ebuild
@@ -35,7 +35,7 @@ CSPROJ=${NAME}.csproj
 src_prepare()
 {
 	sed -i 's/public const string FxVersion = "4.0.0.0";/public const string FxVersion = "'${PV}'";/g' "${S}/mcs/build/common/Consts.cs" || die
-	cp "${FILESDIR}/policy.4.0.System.Web.config" "${S}/policy.4.0.System.Web.config" || die
+	sed "s/4.6.0.150/4.6.0.182/g" "${FILESDIR}/policy.4.0.System.Web.config" > "${S}/policy.4.0.System.Web.config" || die
 	eapply "${FILESDIR}/add-system-diagnostics-namespace.patch"
 	eapply_user
 }


^ permalink raw reply related	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2016-09-19 13:16 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2016-09-19 13:16 [gentoo-commits] proj/dotnet:master commit in: dev-dotnet/system-web/ Mikhail Pukhlikov
  -- strict thread matches above, loose matches on Subject: below --
2016-09-19 13:16 Mikhail Pukhlikov
2016-09-19 13:16 Mikhail Pukhlikov
2016-09-07  6:13 Mikhail Pukhlikov
2016-09-07  6:13 Mikhail Pukhlikov

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox